# kio Library API Documentation

Overview | Class Hierarchy | Classes | Classes (annotated) | Members | Namespaces | Source Files

# KEMailSettings Class Reference

This is just a small class to facilitate accessing e-mail settings in a sane way, and allowing any program to manage multiple e-mail profiles effortlessly. More...

`#include <kemailsettings.h>`

List of all members.

## Public Types

enum | Setting { ClientProgram, ClientTerminal, RealName, EmailAddress, ReplyToAddress, Organization, OutServer, OutServerLogin, OutServerPass, OutServerType, OutServerCommand, OutServerTLS, InServer, InServerLogin, InServerPass, InServerType, InServerMBXType, InServerTLS }
enum | Extension { POP3, SMTP, OTHER }

## Public Member Functions

| KEMailSettings ()
| ~KEMailSettings ()
QStringList | profiles () const
QString | currentProfileName () const
void | setProfile (const QString &s)
QString | defaultProfileName () const
void | setDefault (const QString &def)
QString | getSetting (KEMailSettings::Setting s)
void | setSetting (KEMailSettings::Setting s, const QString &v)

## Detailed Description

This is just a small class to facilitate accessing e-mail settings in a sane way, and allowing any program to manage multiple e-mail profiles effortlessly.

Author:
  Alex Zepeda zipzippy@sonic.net

Definition at line 46 of file kemailsettings.h.

## Member Enumeration Documentation

enum KEMailSettings::Setting

The list of settings that I thought of when I wrote this class.

Any extra settings thought of later can be accessed easily with getExtendedSetting and setExtendedSetting.

See also:
  getSetting()

  setSetting()

  getExtendedSetting()

  setExtendedSetting()

Definition at line 57 of file kemailsettings.h.

enum KEMailSettings::Extension

| The various extensions allowed. Definition at line 81 of file kemailsettings.h.

## Constructor & Destructor Documentation

KEMailSettings::KEMailSettings | ( |  | ) |

| Default constructor, just sets things up. Definition at line 240 of file kemailsettings.cpp. References defaultProfileName(), setDefault(), and setProfile().

KEMailSettings::~KEMailSettings | ( |  | ) |

| Default destructor, nothing to see here. Definition at line 269 of file kemailsettings.cpp.

## Member Function Documentation

QStringList KEMailSettings::profiles | ( |  | ) | const

List of profiles available.

Returns:
  the list of profiles

Definition at line 235 of file kemailsettings.cpp.

QString KEMailSettings::currentProfileName | ( |  | ) | const

Returns the name of the current profile.

Returns:
  what profile we're currently using

Definition at line 230 of file kemailsettings.cpp.

void KEMailSettings::setProfile | ( | const QString & | s | ) |

Change the current profile.

Parameters:

  | s | the name of the new profile

Definition at line 217 of file kemailsettings.cpp.

References QString::append().

Referenced by KEMailSettings().

QString KEMailSettings::defaultProfileName | ( |  | ) | const

Returns the name of the default profile.

Returns:
  the name of the one that's currently default QString::null if none

Definition at line 44 of file kemailsettings.cpp.

Referenced by KEMailSettings().

void KEMailSettings::setDefault | ( | const QString & | def | ) |

Sets a new default.

Parameters:

  | def | the new default

Definition at line 208 of file kemailsettings.cpp.

Referenced by KEMailSettings().

QString KEMailSettings::getSetting | ( | KEMailSettings::Setting | s | ) |

Get one of the predefined "basic" settings.

Parameters:

  | s | the setting to get

Returns:
  the value of the setting, or QString::null if not set

Definition at line 49 of file kemailsettings.cpp.

void KEMailSettings::setSetting | ( | KEMailSettings::Setting | s,
|  | const QString & | v
| ) |

Set one of the predefined "basic" settings.

Parameters:

  | s | the setting to set
  | v | the new value of the setting, or QString::null to unset

Definition at line 128 of file kemailsettings.cpp.

The documentation for this class was generated from the following files:

- kemailsettings.h
- kemailsettings.cpp

This file is part of the documentation for kio Library Version 3.4.1.
Documentation copyright © 1996-2004 the KDE developers.
Generated on Sat Jun 11 20:24:32 2005 by doxygen 1.4.1 written by Dimitri van Heesch, © 1997-2003